#!/usr/bin/env python
# -*- coding: utf-8
#
#    mice.py - Minimal script to interact with murmurs' ice
#              interface, use 'python -i' or a tool like idle
#              to run this script either directly or via 'import mice'.
#              Be sure a Murmur.ice file is placed in the same dir and
#              murmur is running in the default ice configuration.
#
#    Copyright (C) 2008 Stefan Hacker
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
import os

# Default settings
prxstr = "Meta:tcp -h 127.0.0.1 -p 6502"
slicefile = "Murmur.ice"

print "Import ice...",
import Ice
print "Done"
while not os.path.exists(slicefile):
    slicefile = raw_input("Path to slicefile: ")
print "Load slice (%s)..." % slicefile,
Ice.loadSlice(slicefile)
print "Done"
print "Import dynamically compiled murmur class...",
import Murmur
print "Done"
print "Establish ice connection...",
ice = Ice.initialize()
prx = ice.stringToProxy(prxstr)
murmur = Murmur.MetaPrx.checkedCast(prx)
m = murmur
print "Done"
if __name__ != "__main__":
    print "Murmur object accessible via '%s.murmur' or '%s.m'" % (__name__,
                                                                  __name__)
else:
    print "Murmur object accessible via 'murmur' or 'm'"
print "--- Reached interactive mode ---"



